# kyotocabinet::LexicalComparator Class Reference

Comparator in the lexical order. More...

`#include <kccompare.h>`

List of all members.

## Public Member Functions

int32_t | compare (const char *akbuf, size_t aksiz, const char *bkbuf, size_t bksiz)
| Compare two keys.

## Detailed Description

Comparator in the lexical order.

## Member Function Documentation

int32_t kyotocabinet::LexicalComparator::compare | ( | const char * | akbuf,
|  | size_t | aksiz,
|  | const char * | bkbuf,
|  | size_t | bksiz
| ) |  | `[virtual]`

Compare two keys.

Parameters:

  akbuf | the pointer to the region of one key.
  aksiz | the size of the region of one key.
  bkbuf | the pointer to the region of the other key.
  bksiz | the size of the region of the other key.

Returns:
  positive if the former is big, negative if the latter is big, 0 if both are equivalent.

Implements kyotocabinet::Comparator.